﻿@{ Layout = ""; }
@using System.Web.UI.WebControls;
@using DevExpress.Web;
@using DevExpress.Web.Mvc;
@using System.Web.Util;


<div class="content" style = "padding:5px;">
<table border = "0" width="100%" style ="padding-top:5px;">
    <tr>
        <td style = "width: 9%">
            @Html.DevExpress().Label(
                label =>
                {
                    label.Text = "Order No";
                        
            }).GetHtml()
         </td>
         <td style = "width: 12%"> 
            @Html.DevExpress().TextBox(
                    textbox =>
                        {
                            textbox.Name = "pU_OrderNo";
                            textbox.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;
                            textbox.Width = 80;
                            textbox.Text = ViewBag.pU_OrderNo;
                            textbox.ReadOnly = true;
                        }).GetHtml()
         </td>
         <td>&nbsp;</td>

         <td style = "width: 9%" >
            @Html.DevExpress().Label(
                    label =>
                    {
                        label.Text = "Item No";
                        
                        
                    }).GetHtml()
         </td>
         
         <td style = "width: 9%"> 
            @Html.DevExpress().TextBox(
                    textbox =>
                        {
                            textbox.Name = "pU_ItemNo";
                            textbox.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;
                            textbox.Width = 70;
                            textbox.Text = ViewBag.pU_ItemNo;
                            textbox.ReadOnly = true;
                        }).GetHtml()
         </td>
         <td>&nbsp;</td>
         
         <td style = "width: 12%" >
            @Html.DevExpress().Label(
                    label =>
                    {
                        label.Text = "Order Part No";
                        
                    }).GetHtml()
         </td>
         
         <td style = "width: 15%"> 
            @Html.DevExpress().TextBox(
                    textbox =>
                        {
                            textbox.Name = "pU_OrderPartNo";
                            textbox.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                            textbox.Width = 110;
                            textbox.Text = ViewBag.pU_PartNo;
                            textbox.ReadOnly = true;
                        }).GetHtml()
         </td>
         <td>&nbsp;</td>

         <td style = "width: 9%">
            @Html.DevExpress().Label(
                label =>
                {
                    label.Text = "Order Qty";
     
            }).GetHtml()
         </td>
         <td style = "width: 12%"> 
            @Html.DevExpress().TextBox(
                    textbox =>
                        {
                            textbox.Name = "pU_OrderQty";
                            textbox.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Right;
                            textbox.Width = 90;
                            textbox.Text = ViewBag.pU_OrderQty;
                            textbox.ReadOnly = true;
                        }).GetHtml()
         </td>
         
    </tr>

</table>
</div>


@*  THIS IS the GRID of POP UP   *@
@Html.DevExpress().GridView(
    settings =>
    {
        settings.Name = "POSSDetailView";
        settings.Width = System.Web.UI.WebControls.Unit.Percentage(100);
        settings.Width = 772;
        settings.SettingsPager.FirstPageButton.Visible = false;
        settings.SettingsPager.LastPageButton.Visible = false;
        settings.SettingsPager.ShowNumericButtons = true;
        //settings.SettingsPager.Position = System.Web.UI.WebControls.PagerPosition.Bottom;
        settings.SettingsPager.PageSizeItemSettings.Visible = false;
        //settings.SettingsPager.PageSizeItemSettings.Items = new string[] { "15", "30", "50", "100" };
        //settings.SettingsPager.PageSize = 15;
        settings.Settings.VerticalScrollableHeight = 250;
        //settings.SettingsPager.PageSizeItemSettings.Caption = "View per page";
        settings.Settings.VerticalScrollBarMode = ScrollBarMode.Auto;
        settings.Settings.HorizontalScrollBarMode = ScrollBarMode.Auto;
        //settings.CommandColumn.Width = System.Web.UI.WebControls.Unit.Pixel(30);
        //settings.CommandColumn.ShowSelectCheckbox = true;
        //settings.CommandColumn.Visible = true;
        /* Checkbox
        settings.CommandColumn.SetHeaderTemplateContent(
               c =>
               {
                   if (c.Column.VisibleIndex == 0)
                   {
                       Html.DevExpress().CheckBox(
                           chckBox =>
                           {
                               chckBox.Name = "chckBox";
                               chckBox.Properties.ClientSideEvents.CheckedChanged = "function(s, e){ POSSInquiryViewArea.SelectAllRowsOnPage(chckBox.GetChecked());}";
                           }
                       ).Render();
                   }
               }
               );

        */
        
        settings.Columns.Add(
                column =>
                {
                    column.FieldName = "POSS_DATE";
                    column.Caption = "POSS Date";
                    column.Width = Unit.Pixel(100);
                    column.CellStyle.Wrap = DefaultBoolean.True;
                    column.ColumnType = MVCxGridViewColumnType.DateEdit;
                    column.PropertiesEdit.DisplayFormatString = "dd.MM.yyyy";
                    column.CellStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;
                    column.CellStyle.VerticalAlign = System.Web.UI.WebControls.VerticalAlign.Middle;
                    column.HeaderStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;

                });
        
        
        settings.Columns.Add(
            column =>
            {
                column.FieldName = "PROCESS_PART_NO";
                column.Caption = "Process Part No";
                column.Width = Unit.Pixel(120);
                column.CellStyle.Wrap = DefaultBoolean.True;
                column.ColumnType = MVCxGridViewColumnType.TextBox;
                column.CellStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                column.CellStyle.VerticalAlign = System.Web.UI.WebControls.VerticalAlign.Middle;
                column.HeaderStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;

            });

        settings.Columns.Add(
            column =>
            {
                column.FieldName = "PROCESS_QTY";
                column.Caption = "Process Qty";
                column.Width = Unit.Pixel(90);
                column.CellStyle.Wrap = DefaultBoolean.True;
                column.ColumnType = MVCxGridViewColumnType.TextBox;
                column.CellStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Right;
                column.CellStyle.VerticalAlign = System.Web.UI.WebControls.VerticalAlign.Middle;
                column.HeaderStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;

            });


        settings.Columns.Add(
            column =>
            {
                column.FieldName = "RA_CODE";
                column.Caption = "R/A Code";
                column.Width = Unit.Pixel(80);
                column.CellStyle.Wrap = DefaultBoolean.True;
                column.ColumnType = MVCxGridViewColumnType.TextBox;
                column.CellStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                column.CellStyle.VerticalAlign = System.Web.UI.WebControls.VerticalAlign.Middle;
                column.HeaderStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;

            });


        settings.Columns.Add(
            column =>
            {
                column.FieldName = "UNIT_FOB_PRICE";
                column.Caption = "Unit FOB Price";
                column.Width = Unit.Pixel(110);
                column.CellStyle.Wrap = DefaultBoolean.True;
                column.ColumnType = MVCxGridViewColumnType.TextBox;
                column.CellStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Right;
                column.CellStyle.VerticalAlign = System.Web.UI.WebControls.VerticalAlign.Middle;
                column.HeaderStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;

            });

        settings.Columns.Add(
            column =>
            {
                column.FieldName = "BO_RELEASE_FLAG";
                column.Caption = "B/O Instr Code";
                column.Width = Unit.Pixel(100);
                column.CellStyle.Wrap = DefaultBoolean.True;
                column.ColumnType = MVCxGridViewColumnType.TextBox;
                column.CellStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;
                column.CellStyle.VerticalAlign = System.Web.UI.WebControls.VerticalAlign.Middle;
                column.HeaderStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;

            });

        settings.Columns.Add(
            column =>
            {
                column.FieldName = "BO_CODE";
                column.Caption = "B/O Code";
                column.Width = Unit.Pixel(80);
                column.CellStyle.Wrap = DefaultBoolean.True;
                column.ColumnType = MVCxGridViewColumnType.TextBox;
                column.CellStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;
                column.CellStyle.VerticalAlign = System.Web.UI.WebControls.VerticalAlign.Middle;
                column.HeaderStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;

            });


        settings.Columns.Add(
            column =>
            {
                column.FieldName = "ETD";
                column.Caption = "ETD";
                column.Width = Unit.Pixel(90);
                column.CellStyle.Wrap = DefaultBoolean.True;
                column.ColumnType = MVCxGridViewColumnType.DateEdit;
                column.PropertiesEdit.DisplayFormatString = "dd.MM.yyyy";
                column.CellStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;
                column.CellStyle.VerticalAlign = System.Web.UI.WebControls.VerticalAlign.Middle;
                column.HeaderStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;

            });

        //settings.Columns.Add(
        //    column =>
        //    {
        //        column.FieldName = "TMC_PROCESS_DT";
        //        column.Caption = "TMC Process Date";
        //        column.Width = Unit.Pixel(130);
        //        column.CellStyle.Wrap = DefaultBoolean.True;
        //        column.ColumnType = MVCxGridViewColumnType.DateEdit;
        //        column.PropertiesEdit.DisplayFormatString = "dd.MM.yyyy";
        //        column.CellStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;
        //        column.CellStyle.VerticalAlign = System.Web.UI.WebControls.VerticalAlign.Middle;
        //        column.HeaderStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;

        //    });

        //settings.Columns.Add(
        //    column =>
        //    {
        //        column.FieldName = "PRICE_CALC_DT";
        //        column.Caption = "Price Calc Date";
        //        column.Width = Unit.Pixel(130);
        //        column.CellStyle.Wrap = DefaultBoolean.True;
        //        column.ColumnType = MVCxGridViewColumnType.DateEdit;
        //        column.PropertiesEdit.DisplayFormatString = "dd.MM.yyyy";
        //        column.CellStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;
        //        column.CellStyle.VerticalAlign = System.Web.UI.WebControls.VerticalAlign.Middle;
        //        column.HeaderStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;

        //    });

        //settings.Columns.Add(
        //    column =>
        //        {
        //            column.FieldName = "FILLER";
        //            column.Caption = "Filler";
        //            column.Width = Unit.Pixel(90);
        //            column.CellStyle.Wrap = DefaultBoolean.True;
        //            column.ColumnType = MVCxGridViewColumnType.TextBox;
        //            column.CellStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;
        //            column.CellStyle.VerticalAlign = System.Web.UI.WebControls.VerticalAlign.Middle;
        //            column.HeaderStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;

        //         });
        
        /*
        settings.Columns.Add(
            column =>
            {
                column.FieldName = "SEND_DT";
                column.Caption = "Send Date";
                column.Width = Unit.Pixel(100);
                column.CellStyle.Wrap = DefaultBoolean.True;
                column.ColumnType = MVCxGridViewColumnType.DateEdit;
                column.PropertiesEdit.DisplayFormatString = "dd.MM.yyyy";
                column.CellStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;
                column.CellStyle.VerticalAlign = System.Web.UI.WebControls.VerticalAlign.Middle;
                column.HeaderStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;

            });
         */
        
    }).Bind(Model).GetHtml()
